- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
管理消息服务
- /
- 获取第三方邮件服务配置
¶ Get third-party email service configuration
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get third-party email service configuration
¶ Method name
ManagementClient.get_email_provider
¶ Request parameters
| Name | Type | Required | Default value | Description | Sample value |
|---|
¶ Request Response
Type: EmailProviderRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | EmailProviderDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"enabled": true,
"type": "custom",
"smtpConfig": {
"smtp_host": "smtp.example.com",
"smtp_port": 465,
"sender": "test",
"senderPass": "passw0rd",
"secure": true
},
"sendGridConfig": {
"sender": "test",
"apikey": "xxxxxxxxxx"
},
"aliExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
},
"tencentExmailConfig": {
"sender": "test",
"senderPass": "passw0rd"
}
}
}
¶ Data Structure
¶ EmailProviderDto
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| enabled | boolean | yes | Whether to enable. If not enabled, the built-in mail service of GenAuth will be used by default | true |
| type | string | no | Third-party mail service provider type: - custom: Custom SMTP mail service- ali: Ali Enterprise Mailbox (opens new window)- qq: Tencent Enterprise Mailbox (opens new window)- sendgrid: SendGrid Mail Service (opens new window) | ali |
| smtpConfig | No | SMTP mail service configuration Nested type: SMTPEmailProviderConfig. | ||
| sendGridConfig | No | SendGrid mail service configuration Nested type: SendGridEmailProviderConfig. | ||
| aliExmailConfig | No | Ali enterprise mail service configuration Nested type: AliExmailEmailProviderConfig. | ||
| tencentExmailConfig | No | Tencent enterprise mail service configuration Nested type: TencentExmailEmailProviderConfig. |
¶ SMTPEmailProviderConfig
| Name | Type | Is this field required? | Description | Sample value |
|---|---|---|---|---|
| smtp_host | string | Yes | SMTP address | smtp.example.com |
| smtp_port | number | Yes | SMTP port | 465 |
| sender | string | Yes | Username | test |
| senderPass | string | Yes | Password | passw0rd |
| secure | boolean | Yes | Is SSL enabled? | true |
¶ SendGridEmailProviderConfig
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| sender | string | yes | Username | test |
| apikey | string | yes | SendGrid API Key, see the SendGrid documentation (opens new window) for details. | xxxxxxxxxx |
¶ AliExmailEmailProviderConfig
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| sender | string | Yes | Username | test |
| senderPass | string | Yes | Password | passw0rd |
¶ TencentExmailEmailProviderConfig
| Name | Type | Is it required? | Description | Sample value |
|---|---|---|---|---|
| sender | string | yes | username | test |
| senderPass | string | yes | password | passw0rd |
